Cellpose API Guide
------------------------

.. _cpclass:

Cellpose class
~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: cellpose.models.Cellpose
   :members:

CellposeModel
~~~~~~~~~~~~~~~~~~

.. autoclass:: cellpose.models.CellposeModel
   :members:

SizeModel
~~~~~~~~~~~~~~~~~

.. autoclass:: cellpose.models.SizeModel
   :members:

Metrics
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.metrics
   :members:


Flows to masks
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.dynamics
   :members:

Image transforms
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.transforms
   :members:


Plot functions
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.plot
   :members:

I/O functions
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.io
   :members:

Utils functions
~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.utils
   :members:

Network classes
~~~~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.resnet_torch
   :members:


Core functions
~~~~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.core
   :members:

All models functions
~~~~~~~~~~~~~~~~~~~~~

.. automodule:: cellpose.models
   :members:



